<?php

if (!defined('ABSPATH')) exit;

class gdpos_walker_forums_dropdown extends Walker {
    var $tree_type;

    var $db_fields = array( 'parent' => 'post_parent', 'id' => 'ID' );

    public function __construct() {
        $this->tree_type = bbp_get_forum_post_type();
    }

    public function start_el(&$output, $object, $depth = 0, $args = array(), $current_object_id = 0 ) {
        $pad = str_repeat('&nbsp;', (int)$depth * 3);
        $output.= '<option class="level-'.(int)$depth.'"';

        if ((true === $args['disable_categories'])
            && (bbp_get_forum_post_type() === $object->post_type)
            && (bbp_is_forum_category($object->ID)
                 || (!current_user_can('edit_forum', $object->ID) && bbp_is_forum_closed($object->ID))
               )
            ) {
            $output.= ' disabled="disabled" value=""';
        } else {
            $output.= ' value="'.(int)$object->ID.'"'.(in_array($object->ID, $args['selected']) ? ' selected="selected"' : '');
        }

        $title = apply_filters('bbp_walker_dropdown_post_title', $object->post_title, $output, $object, $depth, $args);

        $output.= '>';
        $output.= $pad.esc_html($title);
        $output.= "</option>\n";
    }
}
