<?php

if (!defined('ABSPATH')) exit;

class gdpos_core_db extends d4p_wpdb_core {
    public function __construct() { }

    public function get_private_forums() {
        $sql = $this->prepare(
                "SELECT ID FROM ".$this->wpdb()->posts." WHERE post_type = %s AND post_status = %s", 
                bbp_get_forum_post_type(), 
                bbp_get_public_status_id()
            );

        $raw = $this->run($sql);
        $list = wp_list_pluck($raw, 'ID');

        return array_values($list);
    }

    public function get_forum_authors() {
        $sql = $this->prepare(
                "SELECT distinct u.ID, u.display_name FROM ".$this->wpdb()->users." u INNER JOIN ".$this->wpdb()->posts." p 
                 ON p.post_author = u.ID WHERE p.post_type IN (%s, %s) ORDER BY u.display_name ASC;",
                bbp_get_topic_post_type(),
                bbp_get_reply_post_type()
            );

        $raw = $this->run($sql);
        $list = array();

        foreach ($raw as $row) {
            $list[$row->ID] = $row->display_name;
        }

        return $list;
    }

    public function get_first_topic_date() {
        $sql = $this->prepare(
                "select date(post_date) from ".$this->wpdb()->posts." where post_type = %s ORDER BY post_date ASC LIMIT 1",
                bbp_get_topic_post_type()
            );

        return $this->get_var($sql);
    }
}
