<?php

if (!defined('ABSPATH')) exit;

$panels = array(
    'index' => array(
        'title' => __("Settings Index", "gd-power-search-for-bbpress"), 'icon' => 'cogs', 
        'info' => __("All plugin settings are split into panels, and you access each starting from the right.", "gd-power-search-for-bbpress")),
    'cache' => array(
        'title' => __("Cache", "gd-power-search-for-bbpress"), 'icon' => 'database', 
        'info' => __("From this panel you can control how long plugin will keep data in cache.", "gd-power-search-for-bbpress")),
    'control' => array(
        'title' => __("Control", "gd-power-search-for-bbpress"), 'icon' => 'code', 
        'info' => __("From this panel you control power search integration into bbPress.", "gd-power-search-for-bbpress")),
    'advanced' => array(
        'title' => __("Advanced", "gd-power-search-for-bbpress"), 'icon' => 'exclamation-circle', 
        'info' => __("From this panel you control advanced integration into bbPress.", "gd-power-search-for-bbpress")),
    'filters' => array(
        'title' => __("Filter Fields", "gd-power-search-for-bbpress"), 'icon' => 'filter', 
        'info' => __("From this panel you control additional search fields for filtering.", "gd-power-search-for-bbpress")),
    'results' => array(
        'title' => __("Results Fields", "gd-power-search-for-bbpress"), 'icon' => 'sort', 
        'info' => __("From this panel you control additional search fields for results.", "gd-power-search-for-bbpress"))
);

require_once(GDPOS_PATH.'forms/shared/top.php');

if ($_task == 'index') {

$_url_vs = d4p_url_campaign_tracking('https://plugins.dev4press.com/gd-power-search-for-bbpress/articles/free-vs-pro-plugin/', 'gd-power-search-to-pro', 'wordpress', 'lite-plugin-admin');
$_url_buy = d4p_url_campaign_tracking('https://plugins.dev4press.com/gd-power-search-for-bbpress/buy/', 'gd-power-search-to-pro', 'wordpress', 'lite-plugin-admin');

$_url_tox = d4p_url_campaign_tracking('https://plugins.dev4press.com/gd-topic-prefix/', 'gd-power-search-lite', 'wordpress', 'lite-plugin-admin');
$_url_bbx = d4p_url_campaign_tracking('https://plugins.dev4press.com/gd-bbpress-toolbox/', 'gd-power-search-lite', 'wordpress', 'lite-plugin-admin');
$_url_pol = d4p_url_campaign_tracking('https://plugins.dev4press.com/gd-topic-polls/', 'gd-power-search-lite', 'wordpress', 'lite-plugin-admin');

$_url_demo = d4p_url_campaign_tracking('https://www.dev4press.com/request-demo/', 'gd-power-search-lite', 'wordpress', 'lite-plugin-admin');
$_url_cnt = d4p_url_campaign_tracking('https://www.dev4press.com/contact/', 'gd-power-search-lite', 'wordpress', 'lite-plugin-admin');

?>

<div class="d4p-front-left">
    <div class="d4p-front-title">
        <h1>GD POWER SEARCH</h1>
        <h5>
            Lite <em style="font-weight: 100; font-style: normal;"><?php _e("Edition", "gd-power-search-for-bbpress"); ?></em>
            <span><?php 

            _e("Version", "gd-power-search-for-bbpress");
            echo': '.gdpos_settings()->info->version;

            if (gdpos_settings()->info->status != 'stable') {
                echo ' - <span style="color: red; font-weight: bold;">'.strtoupper(gdpos_settings()->info->status).'</span>';
            }

            ?></span></h5>
    </div>
    <div class="d4p-front-title d4p-front-upgrade">
        <?php _e("Upgrade to Pro version", "gd-power-search-for-bbpress"); ?>
        <p style="margin: 10px 0 0;">
            <?php echo sprintf(__("Pro version of this plugin includes many additional features (including search terms highlight, datepicker for period query, multi select for users, search field related to other Dev4Press plugin for bbPress and more). To learn more about the advantages of Pro version, check out this %s article.", "gd-power-search-for-bbpress"),
                '<a target="_blank" href="'.$_url_vs.'">'.__("free vs pro version", "gd-power-search-for-bbpress").'</a>'); ?>
        </p>
        <p style="margin: 10px 0 0;">
            <?php echo sprintf(__("To buy the Pro version visit the %s. And, to get 10&percnt; discount, on check out use this coupon: %s.", "gd-power-search-for-bbpress"),
                '<a target="_blank" href="'.$_url_buy.'">'.__("buy pro version page", "gd-power-search-for-bbpress").'</a>',
                '<strong>BBFREETOPRO</strong>'); ?></p>
    </div>
    <div class="d4p-front-title d4p-front-upgrade" style="background: #28c; height: auto; margin-top: 15px; text-align: center; font-size: 18px; font-weight: bold;">
        <?php _e("More plugins for bbPress", "gd-power-search-for-bbpress"); ?>
        <p style="margin: 10px 0 0;">
            <?php echo sprintf(__("Dev4Press plugins for WordPress include more premium plugins made for bbPress: %s, %s, %s.", "gd-power-search-for-bbpress"),
                '<a target="_blank" href="'.$_url_bbx.'">'.__("GD bbPress Toolbox Pro", "gd-power-search-for-bbpress").'</a>',
                '<a target="_blank" href="'.$_url_tox.'">'.__("GD Topic Prefix Pro", "gd-power-search-for-bbpress").'</a>',
                '<a target="_blank" href="'.$_url_pol.'">'.__("GD Topic Polls Pro", "gd-power-search-for-bbpress").'</a>'); ?>
        </p><p style="margin: 10px 0 0;">
            <?php echo sprintf(__("If you want to test our Pro plugins, you can request demo website with access to plugin administration. Click here to %s, or click here to %s if you have additional questions.", "gd-power-search-for-bbpress"),
                '<a target="_blank" href="'.$_url_demo.'">'.__("Request Demo", "gd-power-search-for-bbpress").'</a>',
                '<a target="_blank" href="'.$_url_cnt.'">'.__("Contact Us", "gd-power-search-for-bbpress").'</a>'); ?>
        </p>
    </div>
    <div class="d4p-front-dev4press">
        &copy; 2008 - 2019. Dev4Press &middot; 
            <a target="_blank" href="https://www.dev4press.com/">www.dev4press.com</a><br/>
            <a target="_blank" href="https://plugins.dev4press.com/gd-power-search-for-bbpress/">plugins.dev4press.com/gd-power-search-for-bbpress</a>
    </div>
</div>
<div class="d4p-front-right">
    <div class="d4p-front-title" style="max-width: 654px; height: auto; min-height: 137px; margin-bottom: 15px; text-align: center; font-size: 18px; font-weight: bold;">
        <?php _e("Knowledge Base and Support Forums", "gd-power-search-for-bbpress"); ?>
        <p style="font-size: 15px; font-weight: normal; margin: 10px 0 0;">
            <?php echo sprintf(__("To learn more about the plugin, check out plugin %s user guides, articles, references and FAQ. To get additional help, you can use %s or %s.", "gd-power-search-for-bbpress"),
                '<a target="_blank" href="https://support.dev4press.com/kb/product/gd-power-search-for-bbpress/">'.__("knowledge base", "gd-power-search-for-bbpress").'</a>',
                '<a target="_blank" href="https://support.dev4press.com/forums/forum/plugins-lite/gd-power-search-for-bbpress/">'.__("lite edition support forum", "gd-power-search-for-bbpress").'</a>',
                '<a target="_blank" href="https://support.dev4press.com/forums/forum/plugins/gd-power-search-for-bbpress/">'.__("pro edition support forum", "gd-power-search-for-bbpress").'</a>'); ?>
        </p>
    </div>
    <?php

    foreach ($panels as $panel => $obj) {
        if ($panel == 'index') continue;

        $url = 'options-general.php?page=gd-power-search-for-bbpress&panel=settings&task='.$panel;

        ?>

        <div class="d4p-options-panel">
            <i aria-hidden="true" class="<?php echo d4p_get_icon_class($obj['icon']); ?>"></i>
            <h5><?php echo $obj['title']; ?></h5>
            <div>
                <?php if (isset($obj['type'])) { ?>
                <span><?php echo $obj['type']; ?></span>
                <?php } ?>
                <a class="button-primary" href="<?php echo $url; ?>"><?php _e("Settings Panel", "gd-power-search-for-bbpress"); ?></a>
            </div>
        </div>

        <?php
    }

    ?>
    
</div>

<?php

} else {

?>

<form method="post" action="">
    <?php settings_fields('gd-power-search-for-bbpress-settings'); ?>
    <input type="hidden" value="postback" name="gdpos_handler" />

    <div class="d4p-content-left">
        <div class="d4p-panel-scroller d4p-scroll-active">
            <div class="d4p-panel-title">
                <i aria-hidden="true" class="fa fa-cogs"></i>
                <h3><?php _e("Settings", "gd-power-search-for-bbpress"); ?></h3>
                <h4><i aria-hidden="true" class="fa fa-<?php echo $panels[$_task]['icon']; ?>"></i> <?php echo $panels[$_task]['title']; ?></h4>
            </div>
            <div class="d4p-panel-info">
                <?php echo $panels[$_task]['info']; ?>
            </div>
            <div class="d4p-panel-buttons">
                <input type="submit" value="<?php _e("Save Settings", "gd-power-search-for-bbpress"); ?>" class="button-primary">
            </div>
            <div class="d4p-return-to-top">
                <a href="#wpwrap"><?php _e("Return to top", "gd-power-search-for-bbpress"); ?></a>
            </div>
        </div>
    </div>
    <div class="d4p-content-right">
        <?php

        require_once(GDPOS_D4PLIB.'admin/d4p.functions.php');
        require_once(GDPOS_D4PLIB.'admin/d4p.settings.php');

        include(GDPOS_PATH.'core/admin/options.php');

        $options = new gdpos_admin_data_options();

        $panel = gdpos_admin()->task;
        $groups = $options->get($panel);

        $render = new d4pSettingsRender($panel, $groups);
        $render->base = 'gdposvalue';
        $render->render();

        ?>

        <div class="clear"></div>
        <div style="padding-top: 15px; border-top: 1px solid #777; max-width: 800px;">
            <input type="submit" value="<?php _e("Save Settings", "gd-power-search-for-bbpress"); ?>" class="button-primary">
        </div>

        <?php

        ?>
    </div>
</form>

<?php

}

require_once(GDPOS_PATH.'forms/shared/bottom.php');
