<?php

/*
Plugin Name: GD Power Search for bbPress
Plugin URI: https://plugins.dev4press.com/gd-power-search-for-bbpress/
Description: Enhanced and powerful search for bbPress powered forums, with options to filter results by post author, forums, publication period, topic tags and few other things.
Version: 1.1
Author: Milan Petrovic
Author URI: https://www.dev4press.com/
Text Domain: gd-power-search-for-bbpress
Private: true

== Copyright ==
Copyright 2008 - 2019 Milan Petrovic (email: milan@gdragon.info)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
*/

$gdpos_dirname_basic = dirname(__FILE__).'/';
$gdpos_urlname_basic = plugins_url('/gd-power-search-for-bbpress/');

define('GDPOS_PATH', $gdpos_dirname_basic);
define('GDPOS_URL', $gdpos_urlname_basic);
define('GDPOS_D4PLIB', $gdpos_dirname_basic.'d4plib/');

/* D4PLIB */
if (!defined('D4PLIB_PATH')) {
    define('D4PLIB_PATH', GDPOS_PATH.'d4plib/');
}

if (!defined('D4PLIB_URL')) {
    define('D4PLIB_URL', GDPOS_URL.'d4plib/');
}

require_once(GDPOS_D4PLIB.'d4p.core.php');
/* D4PLIB */

d4p_includes(array(
    array('name' => 'cache-wordpress', 'directory' => 'functions'), 
    array('name' => 'plugin', 'directory' => 'plugin'), 
    array('name' => 'errors', 'directory' => 'plugin'), 
    array('name' => 'wpdb', 'directory' => 'core'), 
    array('name' => 'settings', 'directory' => 'plugin'), 
    'functions', 
    'sanitize', 
    'access', 
    'wp'
), GDPOS_D4PLIB);

require_once(GDPOS_PATH.'core/version.php');
require_once(GDPOS_PATH.'core/settings.php');
require_once(GDPOS_PATH.'core/plugin.php');

require_once(GDPOS_PATH.'core/functions.php');
require_once(GDPOS_PATH.'core/classes.php');

require_once(GDPOS_PATH.'core/objects/db.php');
require_once(GDPOS_PATH.'core/objects/bbpress.php');
require_once(GDPOS_PATH.'core/objects/search.php');
require_once(GDPOS_PATH.'core/objects/form.php');
require_once(GDPOS_PATH.'core/objects/cache.php');

global $_gdpos_core, $_gdpos_settings, $_gdpos_db;

$_gdpos_db = new gdpos_core_db();
$_gdpos_settings = new gdpos_core_settings();
$_gdpos_core = new gdpos_core_plugin();

/** @return gdpos_core_plugin */
function gdpos() {
    global $_gdpos_core;
    return $_gdpos_core;
}

/** @return gdpos_core_db */
function gdpos_db() {
    global $_gdpos_db;
    return $_gdpos_db;
}

/** @return gdpos_core_settings */
function gdpos_settings() {
    global $_gdpos_settings;
    return $_gdpos_settings;
}

if (D4P_ADMIN) {
    d4p_includes(array(
        array('name' => 'admin', 'directory' => 'plugin'),
        array('name' => 'functions', 'directory' => 'admin')
    ), GDPOS_D4PLIB);

    require_once(GDPOS_PATH.'core/admin/plugin.php');
}
